

const cookie = new function() {

	// Create or update cookie
	this.set = function(name, value, days) {
		let expires;
		if (days) {
			let date = new Date();
			date.setTime(date.getTime()+(days*86400*1000));
			expires = `; expires=${date.toGMTString()};
		} else {
			expires = '';
		}
		document.cookie = `${name}=${value}${expires}; path=/`;
	};

	// Read cookie
	this.read = function(name) {
		let nameEQ = name + "=";
		let ca = document.cookie.split(';');
		for(let i=0;i < ca.length;i++) {
			let c = ca[i];
			while (c.charAt(0) === ' ') {
				c = c.substring(1,c.length);
			}
			if (c.indexOf(nameEQ) === 0) {
				return c.substring(nameEQ.length,c.length);
			}
		}
		return null;
	};

	// Remove cookie
	function removeCookie(name) {
		setCookie(name, '', -1);
	};

};

// package.json
if ("undefined" !== typeof module) {
	module.exports = cookie;
}
